package cn.datax.learning.design.patterns.behavioral.mediator;

/**
 * 中介者模式（Mediator Pattern）
 */
public class MediatorPatternDemo {

    public static void main(String[] args) {
        User robert = new User("Robert");
        User john = new User("John");

        robert.sendMessage("Hi! John!");
        john.sendMessage("Hello! Robert!");
    }
}
